> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/graphql/data-access/object-types/comment.md).

# Comment

Represents a single comment.

```graphql
type Comment {
  createdAt: Time!
  createdBy: User
  entityId: ID!
  entityType: EntityType!
  id: ID!
  message: MessageValue!
  modifiedAt: Time!
  thread(
    after: String
    limit: Int
    order: [CommentOrderByInput!]
  ): CommentConnectionResult!
  threadId: ID
}
```

### Fields

#### createdAt ● [`Time!`](/api/graphql/data-access/scalars/time.md) non-null scalar <a href="#created-at" id="created-at"></a>

The time this comment was created.

#### createdBy ● [`User`](/api/graphql/data-access/object-types/user.md) object <a href="#created-by" id="created-by"></a>

The user that created the comment.

#### entityId ● [`ID!`](/api/graphql/data-access/scalars/id.md) non-null scalar <a href="#entity-id" id="entity-id"></a>

The ID of the entity this comment is linked to.

#### entityType ● [`EntityType!`](/api/graphql/data-access/enumerations/entity-type.md) non-null enum <a href="#entity-type" id="entity-type"></a>

The type of entity this comment is linked to.

#### id ● [`ID!`](/api/graphql/data-access/scalars/id.md) non-null scalar <a href="#id" id="id"></a>

The unique identifier of the comment.

#### message ● [`MessageValue!`](/api/graphql/data-access/unions/message-value.md) non-null union <a href="#message" id="message"></a>

The message of the comment. These can be typed to support normal user comments, but also structured comments for specific functionalities.

#### modifiedAt ● [`Time!`](/api/graphql/data-access/scalars/time.md) non-null scalar <a href="#modified-at" id="modified-at"></a>

The time this comment was last modified.

#### thread ● [`CommentConnectionResult!`](/api/graphql/data-access/unions/comment-connection-result.md) non-null union <a href="#thread" id="thread"></a>

The list of comments in the thread (children of this comment).

**after ●** [**`String`**](/api/graphql/data-access/scalars/string.md) **scalar**

**limit ●** [**`Int`**](/api/graphql/data-access/scalars/int.md) **scalar**

**order ●** [**`[CommentOrderByInput!]`**](/api/graphql/data-access/input-types/comment-order-by-input.md) **list input**

#### threadId ● [`ID`](/api/graphql/data-access/scalars/id.md) scalar <a href="#thread-id" id="thread-id"></a>

An optional unique identifier of the thread (parent comment) this comment is part of.

### Member Of

[`CommentEdge`](/api/graphql/data-access/object-types/comment-edge.md) object

### Implemented By

[`CommentResult`](/api/graphql/data-access/unions/comment-result.md) union


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/graphql/data-access/object-types/comment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
